Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_QoS_Params Class Reference

Wrapper class that simplifies the information passed to the QoS enabled <ACE_OS::connect> and <ACE_OS::join_leaf> methods. More...

`#include <OS_QoS.h>`

Collaboration diagram for ACE_QoS_Params:

[legend]
List of all members.

## Public Methods
| ACE_QoS_Params (iovec *caller_data=0, iovec *callee_data=0, ACE_QoS *socket_qos=0, ACE_QoS *group_socket_qos=0, unsigned long flags=0)
iovec * | caller_data (void) const
| Get caller data.
void | caller_data (iovec *)
| Set caller data.
iovec * | callee_data (void) const
| Get callee data.
void | callee_data (iovec *)
| Set callee data.
ACE_QoS * | socket_qos (void) const
| Get socket qos.
void | socket_qos (ACE_QoS *)
| Set socket qos.
ACE_QoS * | group_socket_qos (void) const
| Get group socket qos.
void | group_socket_qos (ACE_QoS *)
| Set group socket qos.
unsigned long | flags (void) const
| Get flags.
void | flags (unsigned long)
| Set flags.
## Private Attributes
iovec * | caller_data_
iovec * | callee_data_
ACE_QoS * | socket_qos_
ACE_QoS * | group_socket_qos_
unsigned long | flags_
| Flags that indicate if we're a sender, receiver, or both.

## Detailed Description

Wrapper class that simplifies the information passed to the QoS enabled <ACE_OS::connect> and <ACE_OS::join_leaf> methods.

## Constructor & Destructor Documentation

ACE_QoS_Params::ACE_QoS_Params | ( | iovec * | caller_data = 0,
|  | iovec * | callee_data = 0,
|  | ACE_QoS * | socket_qos = 0,
|  | ACE_QoS * | group_socket_qos = 0,
|  | unsigned long | flags = 0
| ) |

| Initialize the data members. The <caller_data> is a pointer to the user data that is to be transferred to the peer during connection establishment. The <callee_data> is a pointer to the user data that is to be transferred back from the peer during connection establishment. The_<socket_qos> is a pointer to the flow specifications for the socket, one for each direction. The <group_socket_qos> is a pointer to the flow speicfications for the socket group, if applicable. The_<flags> indicate if we're a sender, receiver, or both.

## Member Function Documentation

void ACE_QoS_Params::callee_data | ( | iovec * |  | ) |

| Set callee data.

iovec * ACE_QoS_Params::callee_data | ( | void |  | ) | const

| Get callee data.

void ACE_QoS_Params::caller_data | ( | iovec * |  | ) |

| Set caller data.

iovec * ACE_QoS_Params::caller_data | ( | void |  | ) | const

| Get caller data.

void ACE_QoS_Params::flags | ( | unsigned | long | ) |

| Set flags.

unsigned long ACE_QoS_Params::flags | ( | void |  | ) | const

| Get flags.

void ACE_QoS_Params::group_socket_qos | ( | ACE_QoS * |  | ) |

| Set group socket qos.

ACE_QoS * ACE_QoS_Params::group_socket_qos | ( | void |  | ) | const

| Get group socket qos.

void ACE_QoS_Params::socket_qos | ( | ACE_QoS * |  | ) |

| Set socket qos.

ACE_QoS * ACE_QoS_Params::socket_qos | ( | void |  | ) | const

| Get socket qos.

## Member Data Documentation

iovec* ACE_QoS_Params::callee_data_`[private]`

| A pointer to the user data that is to be transferred back from the peer during connection establishment.

iovec* ACE_QoS_Params::caller_data_`[private]`

| A pointer to the user data that is to be transferred to the peer during connection establishment.

unsigned long ACE_QoS_Params::flags_`[private]`

| Flags that indicate if we're a sender, receiver, or both.

ACE_QoS* ACE_QoS_Params::group_socket_qos_`[private]`

| A pointer to the flow speicfications for the socket group, if applicable.

ACE_QoS* ACE_QoS_Params::socket_qos_`[private]`

| A pointer to the flow speicfications for the socket, one for each direction.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/OS_QoS.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/OS_QoS.cpp